﻿$checksum = 'd22b16554a30654a3fdb19f292ed5fd22a484845366f909f0c30dcd600e6c6a0'
$url = 'https://downloads.plex.tv/plex-media-server-new/1.18.7.2438-f342a5a43/windows/PlexMediaServer-1.18.7.2438-f342a5a43-x86.exe'

Start-CheckandStop "Plex Media Server"

$packageArgs = @{
  packageName   = 'plexmediaserver'
  unzipLocation = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
  fileType      = 'exe'
  url           = $url
  silentArgs    = '/quiet'
  validExitCodes= @(0)
  softwareName  = 'plexmediaserver*'
  checksum      = $checksum
  checksumType  = 'sha256'
}

Install-ChocolateyPackage @packageArgs

if ($ProcessWasRunning -eq "True") {&$ProcessFullPath}
